#
# spec file for package rpcsvc-proto
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define anolis_release 2

Name:           rpcsvc-proto
Version:        1.4.3
Release:        %{anolis_release}%{?dist}
Summary:        RPC protocol definitions
License:        BSD and LGPLv2+
Url:            https://github.com/thkukuk/rpcsvc-proto
Source0:        https://github.com/thkukuk/rpcsvc-proto/releases/download/v%{version}/%{name}-%{version}.tar.xz

Conflicts: glibc-headers < 2.26
Conflicts: glibc-common < 2.26

BuildRequires: make
BuildRequires:  gcc
BuildRequires: automake, autoconf

%description
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package devel
Summary:        RPC protocol definitions

%description devel
The rpcsvc-proto package includes several rpcsvc header files
and RPC protocol definitions from SunRPC sources (as shipped with
glibc).

%package -n rpcgen
Summary:        RPC protocol compiler
Provides:       rpcgen

%description -n rpcgen
rpcgen is a tool that generates C code to implement an RPC protocol.
The input to rpcgen is a language similar to C known as RPC Language
(Remote Procedure Call Language).

%package doc
Summary:         Doc files for %{name}
Requires:        %{name}-devel = %{EVR}
BuildArch:       noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1

%build
%configure
%make_build

%install
%make_install

# rquota.x and rquota.h are provided by quota
rm -f $RPM_BUILD_ROOT%{_prefix}/include/rpcsvc/rquota.[hx]

%generate_compatibility_deps

%files devel
%license COPYING
%{_includedir}/rpcsvc/

%files -n rpcgen
%{_bindir}/rpcgen
%{_mandir}/man1/rpcgen.1*
%dir %{abidir}
%{abidir}/*-option.list

%files doc
%doc ChangeLog INSTALL README NEWS

%changelog
* Tue Dec 12 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.4.3-2
- rebuild

* Thu Mar 16 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.4.3-1
- init from upstream
